Difference between revisions of "Arch Frame/ro"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "== Opţiuni ==")
(Created page with "==Proprietăți==")
Line 23: Line 23:
 
* The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.
 
* The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.
  
==Properties==
+
==Proprietăți==
  
 
* {{PropertyData|Base}}: The layout this frame is based on.
 
* {{PropertyData|Base}}: The layout this frame is based on.

Revision as of 13:45, 20 November 2018

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська

Arch Frame.svg Arch Frame

Menu location
Arch → Frame
Workbenches
Arch
Default shortcut
F R
Introduced in version
-
See also
None

Descriere

Instrumentul cadru este folosit pentru a construi toate tipurile de obiecte cadru. Profilul este extrudat, cum ar fi sketch sau un draft object. Este deosebit de util să se creeze balustrade sau pereți de rame. Obiectele de cadru pot fi apoi transformate în obiecte wall sau

structure .

Arch Frame example.jpg

În imaginea de mai sus, un line a fost transformat într-un array și un obiect cadru a fost făcut utilizând matricele ca aspect și un circleca profil.

Cum se folosește

  1. Creați un obiect de aspect și un obiect de profil, de exemplu cu Workbench Draft sau Sketcher Workbench
  2. Selectați mai întâi obiectul layout, apoi cu CTRL apăsat, selectați obiectul profil
  3. Apăsați butonul Arch Frame.png Arch Frame, sau apăsați tastele în ordine F apoi R

Opţiuni

  • Frames share the common properties and behaviours of all Arch Components
  • The frame object can be placed at a certain distance from the layout object, by setting its Offset property
  • The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.

Proprietăți

  • DateBase: The layout this frame is based on.
  • DateProfile: The profile this frame is based on.
  • DateAlign: Specifies if the profile must be rotated to have its normal axis aligned with each edge.
  • DateOffset: An optional distance between the layout object and the frame object.
  • DateRotation: The rotation of the profile around its extrusion axis.

Scripting

The Frame tool can by used in macros and from the python console by using the following function:

makeFrame ( layout,profile )
  • Creates a frame object from a base sketch (or any other object containing wires) and a profile object (an extrudable 2D object containing faces or closed wires)
  • Returns the new frame object, or None if the operation failed.

Example:

import Draft, Arch
layout = Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
profile = Draft.makeCircle(.2)
Arch.makeFrame(layout,profile)